function Plot3D(handles)
wb=waitbar(0,'Beregner 3D figur');
[x y z V]=subvolume(handles.Tumor.Im, [nan nan nan nan nan nan]);
bw = zeros(size(V));
idx = V>0.09;
bw(idx)=1;
sel = strel('disk',20);
waitbar(1/4,wb,'Beregner hovedskal');
hoved = imclose(bw,sel);
waitbar(2/4,wb,'Smoother figuren');
if get(handles.checkboxGauss,'Value')
    F = fspecial('gaussian',[8 8],str2double(get(handles.editGauss,'String')));
    hoved = imfilter(hoved,F,'same');
    if isfield(handles.Tumor,'ImTumor')
        hoved = imfilter(hoved,F,'same');
    end
end
figure(1);
clf;
colordef(gcf,'black');
waitbar(3/4,wb,'Plotter figuren');
h = patch(isosurface(x,y,z,hoved, 0.5), 'FaceColor', 'red', 'EdgeColor', 'none','FaceAlpha',0.2);
waitbar(0.85,wb);
h2 = patch(isocaps(x,y,z,hoved, 0.5), 'FaceColor', 'interp', 'EdgeColor', 'none','FaceAlpha',0.2);
waitbar(0.95,wb);
if isfield(handles.Tumor,'ImTumor')
    t = patch(isosurface(x,y,z,handles.Tumor.Tumor, 0.5), 'FaceColor', 'blue', 'EdgeColor', 'none');
end
axis off
lighting gouraud
camlight left
camlight right
daspect([5 5 .8])
view([6 -16])
waitbar(1,wb);
close(wb);