function handles = SegmentTumor(handles)
% Find de pixels som er det elementvise produkt af hjernemasken og selve
% billederne, begge gemt i handles.Tumor i hhv SegmentBrain og loadDicom
% funktionerne. Kun de pixels som overstiger Mean + vrdien fra
% editThresholdTumor konverteret til double med str2double funktionen
% ganget med SD. Husk at konvertere masken til double.
% Pseudokode:
% idx = find(hjernemaske .* Dicombilleder > mean + editThresholdTumor * SD);
idx = %*** Indst den nskede funktion her

tumor = % *** Tomt billeder (dvs. nuller) af samme strrelse som hjernemasken.
tumor(idx) = 1;


sel = % *** String element af typen disk med strrelsen fra editSELSizeTumor
tumor = % *** Open operation p tumor variablen med string elementet sel

% Connectivitetsundersgelse - kun det strste sammenhngende omrde beholdes
CC = bwconncomp(tumor);
numPixels = cellfun(@numel,CC.PixelIdxList);
[biggest,idx] = max(numPixels);
tumor = zeros(size(handles.Tumor.HjerneMaske));
tumor(CC.PixelIdxList{idx}) = 1;

% Dan ImTumor som produktet af tumor og de oprindelige billeder. Husk at
% bruge elementvis multiplikation samt at konvertere tumor til double.
ImTumor = %*** Indst koden her
tumorMontage(:,:,1,:) = ImTumor;

% Vlg axesMontage og plot tumorMontage stakken heri

% St titlen p plottet til at vre Tumor strrelse = XXX ml
% Brug title kombineret med sprintf til at plotte strrelsen med 2
% decimaler. Strrelsen kan udregnes ved at gange lngden af tumor med
% VoxelSize, som blev gemt i handles.Tumor i loadDicom funktionen.

% Herunder dannes et farvebillede, hvor tumoren markeres med bl
im=handles.Tumor.Im;

% Hvis der allerede findes et felt med navnet ImTumor i handles.Tumor,
% fjernes det for at starte forfra.
if isfield(handles.Tumor,'ImTumor')
    handles.Tumor = rmfield(handles.Tumor,'ImTumor');
end
% Herunder sttes rd og grn kanal til det oprindelige billede
handles.Tumor.ImTumor(:,:,1,:)=im;
handles.Tumor.ImTumor(:,:,2,:)=im;
% Den bl kanal derimod modificeres, og tumor pixels markeres med max vrdi
im(tumor==1)=1;
handles.Tumor.ImTumor(:,:,3,:)=im;
handles.Tumor.Tumor = tumor;

% Nu sttes radiobutton over den venstre akse til at plotte billeder, hvor
% tumoren er markeret med bl (dvs. den hjre radiobutton (Tumor) sttes til at
% vre valgt)
set(handles.radiobuttonTumor,'Value',1);