function handles = loadDicom(dirnavn,handles)
wb = waitbar(0,'Henter Dicom filer');
filer=dir(fullfile(dirnavn,'*.dcm'));
numfiler = length(filer);
for i=1:numfiler
    Im(:,:,i) = dicomread(fullfile(dirnavn,filer(i).name));
    waitbar(1/numfiler,wb);
end
handles.Tumor.Im = double(Im)./max(max(max(double(Im))));
handles.Tumor.NumFiler = numfiler;
info = dicominfo(fullfile(dirnavn,filer(1).name));

handles.Tumor.Resolution = [info.PixelSpacing' info.SliceThickness];
handles.Tumor.VoxelSize = prod(handles.Tumor.Resolution);

close(wb);

% *** Herunder skal indsttes 4 linier, som skal indstille egenskaberne for
% sliderImPos og textImPos - se detaljer p hjemmesiden.
